Bug 966758 - Cartridge front ends aren't being removed when carts are deconfigured
Cartridge front ends aren't being removed when carts are deconfigured
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 17:46 EDT by Dan McPherson
Modified: 2015-05-14 19:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:10:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2013-05-23 17:46:25 EDT
Description of problem:

Cartridge front ends aren't being removed when carts are deconfigured
i.e.
/var/lib/openshift/.httpd.d/nodes.txt
and all the other front end config still contains all the entries when a cart is removed (ex phpmyadmin)

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Add php/mysql/phpmyadmin
2. Check /var/lib/openshift/.httpd.d/nodes.txt and you should see phpmyadmin there
3. Remove phpmyadmin
4. Check /var/lib/openshift/.httpd.d/nodes.txt and you shouldn't see phpmyadmin there

Actual results:
4. Step 4 is wrong


Expected results:


Additional info:
Comment 1 Jhon Honce 2013-05-23 22:22:02 EDT
Fixed in https://github.com/openshift/origin-server/pull/2628
Comment 2 openshift-github-bot 2013-05-24 00:05:23 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/35acf72e71e79314acad161290e980c922ee7e83
Bug 966758 - Disconnect frontend mappings when removing catridge

* platform failed to disconnect frontend mappings when cartridge was
  removed from the gear
Comment 3 Wei Sun 2013-05-24 06:37:12 EDT
Verified on devenv_3269.After remove phpmyadmin-3.4 for my app(name is phpt),check /var/lib/openshift/.httpd.d/nodes.txt,don't have phpmyadmin there

Result:
phpt-wsundev3269.dev.rhcloud.com 127.0.251.129:8080
phpt-wsundev3269.dev.rhcloud.com/health HEALTH

Note You need to log in before you can comment on or make changes to this bug.